Proxy Error The proxy server received an invalid response from an upstream server.
2011-06-10 10:36 - Maksim Hacker
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Hi, | try to install redmine on Win 7. Do everesing like in instruction
http://www.redmine.org/projects/redmine/wiki/HowTo_Install Redmine_in_a_sub-URI _on_Windows_with_Apache
Only appache, mysql ane etc | installed in some other path. And | had some warnings when | installed rake.

So, now i have an error:

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request GET /redmine.

Reason: Error reading from remote server

| add mongrel.log to this issue.
Could somebody tell me what is wrong and how can | fix this?

History

#1 - 2011-06-10 10:38 - Maksim Hacker

- File mongrel.rar added

#2 - 2011-06-10 10:51 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Not a Redmine bug. This tracker is for bugs and feature requests only, please post in forum.

#3 - 2011-06-10 10:54 - Etienne Massip

Looking at your log, you forgot to set your db password in your config/database.yml file or your MySQL database settings are incorrect.

Access denied for user 'redmineUser'@'localhost' (using password: NO) (Mysqgl::Error)

#4 - 2011-06-10 11:22 - Maksim Hacker

Thanks, this is it. Thank you wery mutch. It's works fine.

But now | have some warging:

Mysql::Error: Table 'redmine.settings' doesn't exist: SHOW FIELDS FROM "settings’
So, which of the steps in instruction should create this table?

What shold | do to create it?

#5 - 2011-06-10 11:47 - Etienne Massip

It's described in step 5 "Create the database structure..." of installation procedure.

#6 - 2011-06-14 07:13 - Maksim Hacker

I try to install rake, doing like in instruction:
cd C:\webserver\Redmine

set RAILS_ENV=production

rake generate_session_store

rake db:migrate

The line - "rake generate_session_store" give me some warning:
'task :t, arg, :needs => [deps]' is deprecated. Please use 'taks :t, [args] => [deps]' insted.

The line - "rake db:migrate" give me the same warning, and then crashing, with next message:
http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI_on_Windows_with_Apache
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Installation

*/redmine/lib/ruby/1.8/yaml.rb:133: [BUG] Segmentation fault ruby 1.8.7...
So, this is some memory problem, but | can't have no problem with memory, it's my Home PC, and | have 2000MB and at list 600mb free RAM space

right now.
What should | do, to fix this problem?

Files

mongrel.rar 43.9 KB 2011-06-10 Maksim Hacker
